Index: examples/file_read_rt2_typed/Maryann_ID.pem
===================================================================
--- examples/file_read_rt2_typed/Maryann_ID.pem	(revision b5a3da409a2c3f6cb8faf1966ee747bc954efd33)
+++ examples/file_read_rt2_typed/Maryann_ID.pem	(revision c469edfa065b84c0b610e547b87300a95629b278)
@@ -1,19 +1,19 @@
 -----BEGIN CERTIFICATE-----
-MIIDCTCCAfGgAwIBAgIIO2HFGdPFxM0wDQYJKoZIhvcNAQEFBQAwEjEQMA4GA1UE
-AxMHTWFyeWFubjAeFw0xMjAyMjEwNzQ0MjRaFw0xNTAyMDUwNzQ0MjRaMBIxEDAO
-BgNVBAMTB01hcnlhbm4wggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQDP
-6NsipLs8IIIIiEtju0olE+YWfiFGuZzGCpPBICpn/STH1mCcVHTStOcAYdh+0Kot
-+A6YquPfmOd/GT3+wAGaaOff0AhBjcs57ecCEPKJbahL0/iFbRoX4l+voAt1f0IA
-cQ6TeiYor8Z3xPQ9ZPTVtwR+trxALEW7oVfgYX/ZuNrzOdQj5m84ojEmGLo/sgXN
-J5Ti0Dd7kgSqi0nivvYwqzXsuCV3Mgz8fhJSZSJCF4zWMjhBHXy7eEE/8mug/U9L
-7b/KUZcegJlqNWzw4HKwGOwRBZ4qZ4z5LeReX3dQT3v+uHLxq05lqLQYtiQJUtBV
-JMMrn0mdCOf2st7bnJWfAgMBAAGjYzBhMA8GA1UdEwEB/wQFMAMBAf8wDgYDVR0P
-AQH/BAQDAgEGMB0GA1UdDgQWBBR5oizFljCJ3vkWXpfMWX2xZjD4ATAfBgNVHSME
-GDAWgBR5oizFljCJ3vkWXpfMWX2xZjD4ATANBgkqhkiG9w0BAQUFAAOCAQEAh6dh
-caEbD7UEVYJNTpvUJs5Wz6gpsK1BYcKXKpf0Jb+t22t5FYk5BsRgUFO4ZYu1OtL9
-rfnFg1y83M0GJNVEcqx6KOeqITnXfJnp4zkLCyEWc3aAf/zmLYPHP3PfFIucg+pH
-nzWkz4jql/v+tUoRh2v0gONX6S0pPJB3QL4aCV6xlxNSuRJIoSnPsst5vKPsCLwe
-68sFierF9t0i+OxvjpomMkv5jbwOPI5rTr0ReiMkhOxL8pmTrk0F3rUQ+z9OuUCe
-XhwCQR0ck7879x/96QzuUKZqZQNsHgMT5XUMixEQsDl6bbqQk7TizfoUmEtxa+0w
-Ut/rxU78ex4nM1O1kw==
+MIIDCTCCAfGgAwIBAgIIaZ1myJ2io98wDQYJKoZIhvcNAQEFBQAwEjEQMA4GA1UE
+AxMHTWFyeWFubjAeFw0xMjAyMjEwODI3MTlaFw0xNTAyMDUwODI3MTlaMBIxEDAO
+BgNVBAMTB01hcnlhbm4wggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQDL
+qgv9SmfmHkWSwI25P9C/m7lV0itXaeVF5ozNpj+FyWcOZAWRvbuNeyywo5ZPCTfh
+TBXEW6HJYHuPRfBDCgGJihd40eg/oju7XVnJRQXRJM0pwO0PsWvFE/Y1SBUqNrh0
+KbI2jASmpCLgHQSglIsh1uyBVjrg/suJjd7jCqaF1rl32gO9tOCz2bCXoIfP6L1O
+Yy80K0PS+t0hGHxDHMVO6vjJz77A1hkNV1xnoKiCyn3heJ2rGKnKrht8sen4BxQ3
+T4EoH8NK0OhtXr0OOIQoj/Xywx7z2ttMg9WVpZVRWzvIcI5/seesnnBxAm37M7th
+iDL2McHXK7omntmzVuW5AgMBAAGjYzBhMA8GA1UdEwEB/wQFMAMBAf8wDgYDVR0P
+AQH/BAQDAgEGMB0GA1UdDgQWBBRJJ3BhepHi14upzs91h3p1zF2aijAfBgNVHSME
+GDAWgBRJJ3BhepHi14upzs91h3p1zF2aijANBgkqhkiG9w0BAQUFAAOCAQEAM3D3
+NcSlPMZmWjDPs9BahkqLQ5aUcuWATF1I3C7YkXJ5bfvG8Aip8OT1ksEg+KjzDL/f
+Pa1MSRtusXBwMeLnylWQtLh8L6TS9KehuXKTgntMCou5ejORDEcOQcPlKaI+qpD3
+gutGdbscybpJa7vMdIccGOMN8wnCdVJVq/tgjSaHcwn/G5wMoXu1snPVXY5pb/Jp
+WWnwDcm+VZYLssYsoYnmmBwWbqM3I3UE5C9sAOqcsdyAsjHER7knc51hiif0kyh+
+JYrXgCSMna+y8g2eJKOrgd3ore09bslUnj9vZr5U/fb1t1GhGKKwbmd8LES5qcdu
+4OYo11zmjsHeG0np8A==
 -----END CERTIFICATE-----
Index: examples/file_read_rt2_typed/Maryann_private.pem
===================================================================
--- examples/file_read_rt2_typed/Maryann_private.pem	(revision b5a3da409a2c3f6cb8faf1966ee747bc954efd33)
+++ examples/file_read_rt2_typed/Maryann_private.pem	(revision c469edfa065b84c0b610e547b87300a95629b278)
@@ -1,27 +1,27 @@
 -----BEGIN RSA PRIVATE KEY-----
-MIIEowIBAAKCAQEAz+jbIqS7PCCCCIhLY7tKJRPmFn4hRrmcxgqTwSAqZ/0kx9Zg
-nFR00rTnAGHYftCqLfgOmKrj35jnfxk9/sABmmjn39AIQY3LOe3nAhDyiW2oS9P4
-hW0aF+Jfr6ALdX9CAHEOk3omKK/Gd8T0PWT01bcEfra8QCxFu6FX4GF/2bja8znU
-I+ZvOKIxJhi6P7IFzSeU4tA3e5IEqotJ4r72MKs17LgldzIM/H4SUmUiQheM1jI4
-QR18u3hBP/JroP1PS+2/ylGXHoCZajVs8OBysBjsEQWeKmeM+S3kXl93UE97/rhy
-8atOZai0GLYkCVLQVSTDK59JnQjn9rLe25yVnwIDAQABAoIBAQCr7aCBJn5a+3rs
-eWD2iSOIQ8tKoGT+KnHVZ1vGIcZPlgu7YbEktcahk81PCJrSS9XfC7luUCr+dWBC
-P2p/5uGsgcH11/9rzkjXj78vezpFoTPB+PkTxSQFykJcZlnzgRfga52lISa7EJhr
-5KgguQKqVJ1X9972pmXIAmU7/QSP0om2Y4hwRQAYeW0ikr2CNJy+R6dOIQZk2LjQ
-7WMKOlmi6CkyV0T24CYN35tpwEank597aSx3fE5W+Uf03Ezqda7UWqcawd3t2KU6
-4gJDRKLtfLLeqvTdmA5ZOHwwKt0k02ayaBXsGpXXXhOKO/gF3zl8x5RDzo1lqH13
-N+wHiMShAoGBAPz1bvwbDsVpf5ahQw+SK+jNOSQsJfeL4+os8l5wwXqrMTIz12g/
-JNfie1QoPTf436HIztkdmZXrI4Sy+SQKvO/MxD7JP8AuFlHISu4kmJe468f2e5h4
-U0PT4+0zcdTeH2/omz6GkSJ7pGi17kYuWprMS8ECEqUSsCiMdFWEpYkRAoGBANJo
-xLkJ5gHmGp4gtkg8jTyhSSuG2ua2Ecsuf5FfBdII0JqYIFszrBWIevkvdksYB4dK
-7Nrhxt2JAB3mgCCvDXz3tU8Ahs8VwgRja6i0hpgobChyniW4NzaBNADPdDJXILsG
-L9VadVMgKiyTl8YKDw0YV+oqBv/UTlAA7FfdzbOvAoGALzZ/6H4EW8Q9FBg1NArM
-Nz9WkvHKhFGP0H1jH01cT1D0dbJHWiWu8rxK2IJKKtBArSmVseBccibZEkN1TMzU
-Rs2pMy7Mv0na0JjZo2khMfBJ0aCnoOWUZOx/dh5L+Lcclv6LOzhSjmUVYpXSSzcL
-oijPWs7QPA8o4eiVLgD8BIECgYBT1+HEJlicGxgyOLDKOi7BoTdp+9PQqW6Pu1ik
-Eexc1Jxjbgk+rml9LyRplWsa41lkpQua8Orwrj34rDgUTg0e5go+j+QoMvBcFU36
-LO2RRlJLD9lLCIwf0P5q8D/KK4PkYsO+zcwAssl7d9i71phGzJODwPmHCg+mu6dy
-H/VvCwKBgHk3/ffVf71dQy3mYOJcmZN0Z0ORjGZyhhbEEl3CoElr8/PUakfFradj
-LQJtLh3a/5Y4qyHXQ7tHxqVRLlORtXaO0+zu16KM6muAQoGJHe4qOpNphzt8EXeZ
-/EK+ZH/kZRaBFRlQZ2CVb1VaSr1O2okyD9erTuswMZuWBM7h614x
+MIIEpAIBAAKCAQEAy6oL/Upn5h5FksCNuT/Qv5u5VdIrV2nlReaMzaY/hclnDmQF
+kb27jXsssKOWTwk34UwVxFuhyWB7j0XwQwoBiYoXeNHoP6I7u11ZyUUF0STNKcDt
+D7FrxRP2NUgVKja4dCmyNowEpqQi4B0EoJSLIdbsgVY64P7LiY3e4wqmhda5d9oD
+vbTgs9mwl6CHz+i9TmMvNCtD0vrdIRh8QxzFTur4yc++wNYZDVdcZ6Cogsp94Xid
+qxipyq4bfLHp+AcUN0+BKB/DStDobV69DjiEKI/18sMe89rbTIPVlaWVUVs7yHCO
+f7HnrJ5wcQJt+zO7YYgy9jHB1yu6Jp7Zs1bluQIDAQABAoIBAQCNku50q2VgJMju
+Q6YBEWhV2bVTAB8ay8UR+zsDtb5QjPlzmnn4nrCin+4n9/+Df3/1wEMdVSk46DXc
+GZzzrR/2cSTx2tCcc3UcQL8qVy28/d0UWkUwdH/a5o5u6WW1C4bbUSTOIDUXdd+8
+dM+DpN62rkWHft69CsGIJDO9Fek9/RET6Dzrcdsaa5nSwtpI6MP4KErtVcE43iFF
+7imiV25rXEaLZKFQCJIG39q7q+fedL9FHbbgsfOueWdVpSE/FlYkW1CAsl4ATkmt
+o6Zvgo/7Pt2IocDMxrFWUqWWjZHS070tErnafiYCKF4CuhGqOBgNZKIDO0/1Xyom
+pvaoHjQ1AoGBAOzNOW7WLU5E0EoElcWp0uiAAxHJMLwfJXIEhf67aPZppSJeY0lD
+I3glKCMDFFRPNycRuAfSVZi81zrF5nYtPknnCfbRfe7BweB18RBzZxhG4E+TtA8q
+sA3KVTl11F54lESJPRJaCjphzqG3IqOFSJmRunk/brTsbvbAAmVkjTubAoGBANwt
+D70Z7j7SdhU1w018s4+ggNu5bpPTU/tcDShA/QHJE6KOFp6hzXo1sU7woQK5hpiT
+S0DxINzH1r52w/N8EjBRQ4HJJMd9N5dwlFRHd2tdnaQjPUocjLryoXJzPyHFpVWG
+BDoNHveJ7Q4iVN+Dv7/RrTcfEPBgzILnNA59l4s7AoGAIernPgvpY1uR5fgwJ6bC
+cdDcH7EMjPV9HI6vTqQzTZAmOf0BBZ5bNztDO3iWcdkC0lLEZEJpRj5OKbns36Jt
+WJKCJ9sryYXxKiBajfupmZ2VRXCnisCXhPIlMNzCtWFaA1MQ7078Rg56VUlw6bEO
+jAiGiBVg2wM+hZNNBI7Zd98CgYBUqGLn1AOeVjAfIafxsGQecpl5YshYwKYG/TL1
+6l8eA6GwHDAoWJB4UBLYBn/yW0Gcgu4pj02SdqhkXagkg+0+dNCfI6cnqUbpzNjL
+uxr4xmspxH75cxbNfyOCrTt2EdfrlXcklwz0Iy1qBNtbgf4FlGqkyiYqNx4LqziB
+5dqSJwKBgQDTkvEXNh+Nuf641bPnsDL5cztCYlhYXP0EwxZtYmLqzJ1lSEJBYqnB
+UslF8wHjfXx++tOFGjj1C6IQ74lWr7WdRFrLz/6cOfxoZpc5vI5tZpukSobETUby
+l3LBmFDTId8CZP8RwKFRx0uf6qc4iQgB+BYu4AkoGtdrPLVszrpAdg==
 -----END RSA PRIVATE KEY-----
Index: examples/file_read_rt2_typed/rr
===================================================================
--- examples/file_read_rt2_typed/rr	(revision b5a3da409a2c3f6cb8faf1966ee747bc954efd33)
+++ examples/file_read_rt2_typed/rr	(revision c469edfa065b84c0b610e547b87300a95629b278)
@@ -2,6 +2,10 @@
 rm -rf creds_dump
 
-eloc=/home/mei/Deter/abac/libabac
-keyloc=/home/mei/Deter/abac/examples/file_read_rt2_typed
+pwd=`pwd`
+
+#eloc=/home/mei/Deter/abac/libabac
+eloc=$pwd/../../libabac
+#keyloc=/home/mei/Deter/abac/examples/file_read_rt2_typed
+keyloc=$pwd
 
 alpha=`creddy --keyid --cert $keyloc/Alpha_ID.pem`
Index: examples/runall
===================================================================
--- examples/runall	(revision c469edfa065b84c0b610e547b87300a95629b278)
+++ examples/runall	(revision c469edfa065b84c0b610e547b87300a95629b278)
@@ -0,0 +1,8 @@
+#/bin/sh 
+
+for i in `ls -1 `; do
+   if (file $i | grep -F directory | grep -Fq typed); then
+       printf "\n ==> TRYING on %s\n" "$i"
+       (cd $i; README; rr; cd ..)
+   fi
+done
